CRAN Package Check Results for Package gdistance

Last updated on 2014-04-21 17:47:51.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.1-5 8.03 101.53 109.56 OK
r-devel-linux-x86_64-debian-gcc 1.1-5 7.82 99.42 107.25 OK
r-devel-linux-x86_64-fedora-clang 1.1-5 267.51 NOTE
r-devel-linux-x86_64-fedora-gcc 1.1-5 256.14 NOTE
r-devel-osx-x86_64-clang 1.1-5 185.65 OK
r-devel-osx-x86_64-gcc 1.1-5 ERROR
r-devel-windows-ix86+x86_64 1.1-5 18.00 140.00 158.00 OK
r-patched-linux-x86_64 1.1-5 7.89 99.38 107.27 OK
r-patched-solaris-sparc 1.1-5 1357.10 OK
r-patched-solaris-x86 1.1-5 326.90 OK
r-release-linux-x86_64 1.1-5 8.33 101.35 109.68 OK
r-release-osx-x86_64-mavericks 1.1-5 WARN
r-release-osx-x86_64-snowleopard 1.1-5 ERROR
r-release-windows-ix86+x86_64 1.1-5 24.00 133.00 157.00 OK
r-oldrel-windows-ix86+x86_64 1.1-5 17.00 130.00 147.00 OK

Check Details

Version: 1.1-5
Check: Rd line widths
Result: NOTE
    Rd file 'Transition-class.Rd':
     \examples lines wider than 100 characters:
     tr <- new("TransitionLayer",nrows=as.integer(36),ncols=as.integer(18),extent=extent(c(xmin=-180,xmax=180,
     tr <- new("TransitionLayer",nrows=as.integer(36),ncols=as.integer(18),extent=extent(c(xmin=-180,xmax=180,
    
    These lines will be truncated in the PDF manual.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 1.1-5
Check: package dependencies
Result: ERROR
    Packages required but not available: ‘raster’ ‘igraph’
    
    See the information on DESCRIPTION files in the chapter ‘Creating R
    packages’ of the ‘Writing R Extensions’ manual.
Flavor: r-devel-osx-x86_64-gcc

Version: 1.1-5
Check: PDF version of manual
Result: WARNING
    LaTeX errors when creating PDF version.
    This typically indicates Rd problems.
    LaTeX errors found:
    ! LaTeX Error: File `upquote.sty' not found.
    
    Type X to quit or <RETURN> to proceed,
    or enter new name. (Default extension: sty)
    
    3cb62b3/Rd2.tex:8: ==> Fatal error occurred, no output PDF file produced!
Flavor: r-release-osx-x86_64-mavericks

Version: 1.1-5
Check: package dependencies
Result: ERROR
    Package required and available but unsuitable version: ‘igraph’
    
    See the information on DESCRIPTION files in the chapter ‘Creating R
    packages’ of the ‘Writing R Extensions’ manual.
Flavor: r-release-osx-x86_64-snowleopard